Download a YouTube video as MP4
curl --request POST \
--url https://api.agentbody.io/v1/youtube/video/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"quality": "720p"
}
'import requests
url = "https://api.agentbody.io/v1/youtube/video/download"
payload = {
"url": "<string>",
"quality": "720p"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', quality: '720p'})
};
fetch('https://api.agentbody.io/v1/youtube/video/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"duration_seconds": 180,
"format": "mp4",
"quality": "720p",
"size_mb": 15.2,
"title": "Example Video",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"video_content_type": "video/mp4",
"video_id": "dQw4w9WgXcQ",
"video_url": "https://api.apify.com/v2/key-value-stores/example/records/dQw4w9WgXcQ.mp4"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "example error"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "example error"
}
}{
"error": {
"code": "CONFLICT",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_INVALID_RESPONSE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_UNAVAILABLE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_TIMEOUT",
"message": "example error"
}
}youtube
Download a YouTube video as MP4
Use this operation to save one public YouTube video as an MP4 file link (up to 720p) with normalized video metadata.
POST
/
v1
/
youtube
/
video
/
download
Download a YouTube video as MP4
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key for safely retrying a billable write request.
Required string length:
1 - 255Body
application/json
Was this page helpful?
